%define upstream_name Horde_Rpc
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.3
Release:     	%mkrel 1
Summary:    	Horde RPC API
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires: 	php-pear-Horde_ActiveSync <= 2.0.0
Requires: 	php-pear-Horde_Core <= 2.0.0
Requires: 	php-pear-Horde_Exception <= 2.0.0
Requires: 	php-pear-Horde_Lock <= 2.0.0
Requires: 	php-pear-Horde_Perms <= 2.0.0
Requires: 	php-pear-Horde_Serialize <= 2.0.0
Requires: 	php-pear-Horde_Support <= 2.0.0
Requires: 	php-pear-Horde_SyncMl <= 2.0.0
Requires: 	php-pear-Horde_Translation <= 2.0.0
Requires: 	php-pear-Horde_Util <= 2.0.0
Requires: 	php-pear-Horde_Xml_Element <= 2.0.0
Conflicts: 	php-pear-Horde_ActiveSync = 2.0.0
Conflicts: 	php-pear-Horde_Core = 2.0.0
Conflicts: 	php-pear-Horde_Exception = 2.0.0
Conflicts: 	php-pear-Horde_Lock = 2.0.0
Conflicts: 	php-pear-Horde_Perms = 2.0.0
Conflicts: 	php-pear-Horde_Serialize = 2.0.0
Conflicts: 	php-pear-Horde_Support = 2.0.0
Conflicts: 	php-pear-Horde_SyncMl = 2.0.0
Conflicts: 	php-pear-Horde_Translation = 2.0.0
Conflicts: 	php-pear-Horde_Util = 2.0.0
Conflicts: 	php-pear-Horde_Xml_Element = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Rpc

%description
The Horde_Rpc library provides a common abstracted interface to various
remote methods of accessing Horde functionality.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Rpc.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Rpc.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Rpc
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Rpc/*
%{peardir}/*
%{xmldir}/Horde_Rpc.xml


%changelog

* Fri Feb 10 2012 spuhler <spuhler> 1.0.3-1.mga2
+ Revision: 206799
- upgrade to 1.0.3

* Mon Nov 07 2011 spuhler <spuhler> 1.0.2-1.mga2
+ Revision: 164674
- upgrade to 1.0.2
- removed all the double Horde_Horde in the Requires and Conflicts
- imported package php-pear-Horde_Rpc

